{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% load custom_tags %}
{% block extra_style_block %}
{{block.super}}
    <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/dealer_profile.css' %}">
<style>
    .cont {
    position: relative;
    width: 100%;
    max-width: 400px;
}

.cont img {
    width: 100%;
    height: auto;
}

.cont .btn {
    position: absolute;
    top: 138%;
    left: 88%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    background-color: #D0D5D7;
    color: white;
    font-size: 10px;
    padding: 6px 15px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    text-align: center;
}

.cont .btn:hover {
    background-color: tranparent;
}
        .foot {
            text-align: right;
            margin-top: 86px;
            padding-right: 45px;

            }
            @media print {
                /*When print, hide the print button*/
                input[type=button] {
                    display: none;
                }

                @page {
                    size: A4;
                    margin: 0;
                }
            }
            .button {
    display: none;
}
a{
    
    
    color: #5C5C5C
}
img:hover + .button, .button:hover {
    display: inline-block;
    margin-top: -101px;
}
    </style>
{% endblock %}


{% block content %}
<form class="from-horizontal" method="post" enctype="multipart/form-data">
    {% csrf_token %}
 {% if request.user.is_superuser %}
<section class="content-header col-content">
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-customer">
            <div class="row">
                <div class="col-xs-4 col-sm-4 col-md-4">
                    <p class="creatBtn-wrapper" style="display:inline-flex;">
                        <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left" style="margin-right:5%;"></span>
                        <button type="submit">
                            <a href="{% url 'edit_dealer' dealer_profile.profile_id %}">edit</a>
                        </button>
                        <button type="submit">
                            <a href="{% url 'create_dealer_profile' %}">create</a>
                        </button>
                    </p>
                </div>
                <div class="col-xs-4 col-sm-4 col-md-4 text-center">
                    <nav aria-label="Page navigation example ">
                        <ul class="pagination col-pagination">
                            <li class="page-item">
                                <a class="page-number" onclick="print_Receipt()" aria-label="Previous">
                                print <i class="fa fa-caret-down" aria-hidden="true"></i>
                                </a>
                            </li>
                            <li class="page-item">
                  <!--<a class="page-number" href="#" aria-label="Previous">-->
                    <!--action <i class="fa fa-caret-down" aria-hidden="true"></i>-->
                  <!--</a>-->
                                <a style="padding:0;" class="page-number" href="javascript:void(0);" aria-label="Previous">
                                    <select id="select_option" style="background: #fff;padding: 2px 7px;border: none;" class="action-button">
                                        <option value="{{dealer_profile.profile_id}}">Action</option>
                                        <option value="{{dealer_profile.profile_id}}">delete</option>
                                    </select>
                                </a>
                            </li>
                        </ul>
                    </nav>
                </div>
                <input type="hidden" name="dealerlist" id="dealerlist" value="{{dealerlist}}">         
                <div class="col-xs-4 col-sm-4 col-md-4 text-right">
                    <nav aria-label="Page navigation example ">
                        <ul class="pagination col-pagination">
                            <li class="page-item">
                                <a class="page-number" href="#" aria-label="Previous">
                                {{sobj}}/{{totaldealercount}}
                                </a>
                            </li>
                            <li class="page-item prev" ><a class="page-number" onclick="return leftbtn('{{did}}');" ><i class="fa fa-angle-left"  aria-hidden="true"></i></a></li>
                            <li class="page-item forw" ><a  class="page-number" onclick="return rightbtn('{{did}}');" ><i class="fa fa-angle-right"  aria-hidden="true"></i></a></li>
                        </ul>
                    </nav>
                </div>
            </div>
        </div>
    </div>
</section>
{% else %}
    <div class="row" style="margin-top: -42px;">
            <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="info-box">
        <h3>Dealer Profile</h3>
        <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left" style="margin-right:5%;"></span>
</div>
</div>
    </div>
  {% endif %}
  <input type="hidden" id="totalcount" value="{{totaldealercount}}">
  {% if dealer_profile %}
  <section class="content">
        <div class="row" id="report">
            <div class="col-xs-12 col-sm-12 col-md-12 ">
                <div class="acc-wrapper">
                    <div class="row col-row-detail">
                        <div class="col-xs-6 col-sm-6 col-md-6">
                            <div class="row">
                                <div class="col-xs-4 col-sm-4 col-md-4">
                                 <figure class="profile-figger cont">
                                        {% ifequal '' CUA %}
                                        <img src="/static/avatar_a.png" style="width:120px">
                                        {% else %}
                                        <img src="/media/{{CUA}}" style="width:120px">
                                        {% endifequal %}
                                         <button type="button" data-toggle="modal" class="button btn glyphicon glyphicon-camera" data-target="#ImageModal"></button>
                                    </figure>
                                <div class="container" style="margin-left: 22px;">
 

  <!-- Modal -->
  <div class="modal fade" id="ImageModal" role="dialog">
    <div class="modal-dialog">
    
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Modal Header</h4>
        </div>
        <div class="modal-body">
           <table class="table table-striped order-table table-bordered">
                                                    <tbody>
                                                    
                                                        <tr>
                                                            <td id='cdata'>Upload Image :</td>
                                                            <td><input class="input" type="file" name="img" id='UploadImg'></td>
                                                        </tr>
                                                        <tr>
                                                            <td></td>
                                                            <td><input type="submit" name="Image" value="Upload" class="input_import" id="UploadFile"></td>
                                                        </tr>
                                                    </tbody>
                                                </table>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
      
    </div>
  </div>
  
</div>
                                    
                                </div>
                                <div class="col-xs-8 col-sm-8 col-md-8 col-acc">
                                    <h1>{{dealer_profile.dealer_code}}</h1>
                                    <h2>{{dealer_profile.owner_name}}</h2>
                                    <!-- <p><a href="#">{{dealer_profile.primary_contact}},{{dealer_profile.alternate_contact}}</a></p> -->
                                    <address>
                                        {{dealer_profile.primary_contact}}<br>
                                        {{dealer_profile.shipping_address}}, {{dealer_profile.pincode}}</br>
                                        <span title="GSTIN Number">{{dealer_profile.gst_no}}</span>
                                    </address>
                                </div>
                            </div>
                        </div>
                        <div class="col-xs-6 col-sm-6 col-md-6 text-right">
                            <nav aria-label="Page navigation example ">
                                <ul class="pagination col-pagination sales-menu">
                                    <li class="page-item">
                                        <a class="page-number" href="/transactions/order_head/outstanding/?on_id={{did}}" aria-label="Previous">
                                            <i class="fa fa-inr" aria-hidden="true"></i>
                                            <span>{{outstanding | floatformat:2 | intcomma}}</span>
                                            <br>
                                            Outstanding
                                        </a>
                                    </li>
                                    <li class="page-item">
                                        <a class="page-number" href="#">
                                            <i class="fa fa-archive" aria-hidden="true"></i>
                                            Order({{totalOrderActive}})
                                        </a>
                                    </li>
                                    {% if request.user.is_superuser %}
                                    <li class="page-item">
                                        {% if dealer_profile.is_active == True %}
                                        <a class="page-number active-number" href="{% url 'dealer_active' dealer_profile.dealer_id %}">
                                            <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                                            Active
                                        </a>
                                        {% else %}
                                        <a style="background: #ea5858;" class="page-number active-number" href="{% url 'dealer_active' dealer_profile.dealer_id %}">
                                            <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                                            Inactive
                                        </a>
                                        {% endif %}
                                    </li>
                                    {% endif %}
                                </ul>
                            </nav>
                        </div>
                    </div>
                    <div class="col-xs-6 col-sm-6 col-md-6 col-acc" style="float: right; margin-top: -155px;">
                        {% for target in target %}
                        <div class="progress-group" style="overflow:auto;">
                            <span class="progress-text">Monthly Target({{target.category}})</span>
                            <div class="progress sm" style="background-color: red; margin-bottom:0px">
                                <div class="progress-bar progress-bar-green" style="width:{{target.percent}}%;"></div>
                            </div>
                            <span class="progress-number">
                                {{target.complete_target|floatformat:2|intcomma}}/{{target.monthly_target|floatformat:2|intcomma}}
                            </span>
                        </div>
                        {% endfor %}
                        <div class="progress-group" style="overflow:auto;">
                            <span class="progress-text">CreditRemain VS Creditlimit</span>
                            <div class="progress sm" style="background-color: green;margin-bottom:0px">
                                <div class="progress-bar progress-bar-green" style="width:{{target.percent}}%;"></div>
                            </div>
                            <span class="progress-number" >
                                {{target_remain|floatformat:2|intcomma}}/{{credit_limit|floatformat:2|intcomma}}
                            </span>
                        </div>
                    </div>
                    <div style="margin-bottom: 5%" class="row">
                        <div class="col-sm-6 col-md-6 text-right">
                            <table style="font-size: 15px">
                                <tr>
                                    <th style="border-right: 1px solid gainsboro; margin-right: 1%"><span  style="color: #5C5C5C;">Company</span> &nbsp;&nbsp;&nbsp;</th>
                                    <td><strong>&nbsp;&nbsp; <span  style="color: #5C5C5C;">{{dealer_profile.company_name}}</span></strong></td>
                                </tr>
                                <tr style="background-color: #fff">
                                    <th style="border-right: 1px solid gainsboro; margin-right: 1%"><span  style="color: #5C5C5C;">Order Amount(min)</span> &nbsp;&nbsp;&nbsp;</th>
                                    <td><strong>&nbsp;&nbsp; <span  style="color: #5C5C5C;">{{DBM.min_order_amount | floatformat:2 | intcomma}}</span></strong></td>
                                </tr>
                                <tr>
                                    <th  style="border-right: 1px solid gainsboro; margin-right: 1%"><span  style="color: #5C5C5C;">Credit limit</span> &nbsp;&nbsp;&nbsp;</th>
                                    <td><strong>&nbsp;&nbsp; <span  style="color: #5C5C5C;">{{DBM.max_outstanding_threshold | floatformat:2 | intcomma}}</span></strong></td>
                                </tr>
                                <!--<tr  style="background-color: #fff">-->
                                    <!--<th  style="border-right: 1px solid gainsboro; margin-right: 1%"><a href="/transactions/order_head/outstanding/?on_id={{did}}" style="color: #5C5C5C;">Outstanding after Active orders.</a> &nbsp;&nbsp;&nbsp;</th>-->
                                    <!--<td><strong>&nbsp;&nbsp; <a href="/transactions/order_head/outstanding/?on_id={{did}}" style="color: #5C5C5C;">{{outstanding | floatformat:2 | intcomma}}</a></strong></td>-->
                                <!--</tr>-->
                                <tr>
                                    <th  style="border-right: 1px solid gainsboro; margin-right: 1%"><span style="color: #5C5C5C;">Credit Days</span> &nbsp;&nbsp;&nbsp;</th>
                                    <td><strong>&nbsp;&nbsp; <span  style="color: #5C5C5C;">{{DBM.credit_days}}</span></strong></td>
                                </tr>
                                <tr  style="background-color: #fff">
                                    <th  style="border-right: 1px solid gainsboro"><span  style="color: #5C5C5C;">SR Name</span> &nbsp;&nbsp;&nbsp;</th>
                                    <td><strong>&nbsp;&nbsp; <span  style="color: #5C5C5C;">{{sr.sr_id.first_name}} {{sr.sr_id.last_name}}({{sr.sr_id.user_code}})</span></strong></td>
                                </tr>
                                <tr>
                                    <th  style="border-right: 1px solid gainsboro"><span style="color: #5C5C5C;">SR Contact</span> &nbsp;&nbsp;&nbsp;</th>
                                    <td><strong>&nbsp;&nbsp; <span  style="color: #5C5C5C;">{{sr.sr_id.mobile}}</span></strong></td>
                                </tr>
                            </table>
                        </div>
                        <div class="col-sm-6 col-md-6 text-right">
                            <input type="hidden" value="{{dealer_profile.Aadhaar_No}}" id="aadhaar">
                            <table style="font-size: 15px">
                                <tr>
                                    <th  style="border-right: 1px solid gainsboro"><span  style="color: #5C5C5C;">Shipping Address</span> &nbsp;&nbsp;&nbsp;</th>
                                    <td><strong>&nbsp;&nbsp; <span  style="color: #5C5C5C;">{{dealer_profile.shipping_address}}</span></strong></td>
                                </tr>
                                <tr style="background-color: #fff">
                                    <th  style="border-right: 1px solid gainsboro"><span  style="color: #5C5C5C;">Company Address</span> &nbsp;&nbsp;&nbsp;</th>
                                    <td><strong>&nbsp;&nbsp; <span  style="color: #5C5C5C;">{{dealer_profile.shipping_address}}</span></strong></td>
                                </tr>
                                <tr>
                                    <th  style="border-right: 1px solid gainsboro"><span  style="color: #5C5C5C;">Pan Number</span> &nbsp;&nbsp;&nbsp;</th>
                                    <td><strong>&nbsp;&nbsp; <span id="pan" style="color: #5C5C5C;">{{dealer_profile.pan_no}}</span></strong></td>
                                </tr>
                                <tr style="background-color: #fff">
                                    <th  style="border-right: 1px solid gainsboro"><span  style="color: #5C5C5C;">GST Number</span> &nbsp;&nbsp;&nbsp;</th>
                                    <td><strong>&nbsp;&nbsp; <span id="gst" style="color: #5C5C5C;">{{dealer_profile.gst_no}}</span></strong></td>
                                </tr>
<!--                             
                                <tr>
                                    <th  style="border-right: 1px solid gainsboro"><span  style="color: #5C5C5C;">Alternate Contact</span> &nbsp;&nbsp;&nbsp;</th>
                                    <td><strong>&nbsp;&nbsp; <span  style="color: #5C5C5C;">{{dealer_profile.alternate_contact}}</span></strong></td>
                                </tr> -->
                            </table>
                        </div>
                    </div>
                   
                    <div class="row">
                        <div class="col-sm-12 col-md-12">
    
                            <ul class="nav nav-tabs col-tabs">
                                <li id="ddlm1" class="active"><a id="am1" data-toggle="tab" href="#home"> Active Orders</a></li>
                                <li ><a data-toggle="tab" href="#menu1">Orders History</a></li>
                                <li id="ddlm"><a id="am" data-toggle="tab" href="#menu2">Monthly Target</a></li>
                                <li><a data-toggle="tab" href="#menu3">Documents</a></li>
                                {% if user_role != 'DEL' %}
                                <li><a data-toggle="tab" href="#menu5">CD Slab</a></li>
                                {% endif %}
                            </ul>
    
                            <div class="tab-content">
                                <div id="home" class="tab-pane fade in active">
                                    <h3>Orders</h3>
                                    <table class="table table-striped order-table table-bordered">
                                        <thead>
                                        <tr>
                                            <th scope="col">Order Number</th>
                                            {% comment %} <th scope="col">SR</th> {% endcomment %}
                                            <th scope="col">Status</th>
                                            <th scope="col" style="text-align: right;">Value (₹)</th>
                                            <th scope="col">Last update</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for data in OrderActive %}
                                        <tr>
                                            <td><a href="{% url 'customerorderdetail' %}?orderno={{data.order_number}}&&dealerid={{data.dealer_id}}" >{{data.order_id}}</a></td>
                                            {% comment %} <td>{{data.sr_id}}</td> {% endcomment %}
                                            <td>{{data.status}}</td>
                                            <td style="text-align:right">{{data.total_amount | floatformat:2 | intcomma}}</td>
                                            <td>{{data.order_date}}</td>
                                        </tr>
                                        {% endfor %}
                                        </tbody>
                                    </table>
                                </div>


                                <div id="menu1" class="tab-pane fade">
                                    <h3>Order History</h3>
                                    <table class="table table-striped order-table table-bordered">
                                        <thead>
                                        <tr>
                                            <th scope="col">Order Number</th>
                                            {% comment %} <th scope="col">SR</th> {% endcomment %}
                                            <th scope="col">Status</th>
                                            <th scope="col">Value</th>
                                            <th scope="col">Last update</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for data in OrderHistory %}
                                        <tr>
                                            <td><a href="{% url 'customerorderdetail' %}?orderno={{data.order_id}}&&dealerid={{data.dealer_id}}">{{data.order_id}}</a></td>
                                            {% comment %} <td>{{data.sr_id}}</td> {% endcomment %}
                                            <td>{{data.status}}</td>
                                            <td style="text-align:right">{{data.total_amount | floatformat:2 | intcomma}}</td>
                                            <td>{{data.order_date}}</td>
                                        </tr>
                                        {% endfor %}
    
                                        </tbody>
                                    </table>
                                </div>
    
    
                                <div id="menu2" class="tab-pane fade ">
                                    <h3>Monthly Target</h3>
                                    <table class="table table-striped order-table table-bordered">
                                        <thead>
                                        <tr>
                                            <th scope="col">Month</th>
                                            <th scope="col">Category ID</th>
                                            <th scope="col">Dealer ID</th>
                                            <th scope="col">Monthly Target</th>
                                            
                                            {% if request.user.is_superuser %}
                                            <th scope="col">Action</th>
                                            {%endif%}
                                        </tr>
                                        </thead>
    
                                        <tbody>
                                        {% for data in objDealerSalesTarget %}
                                        <tr>
                                            <td><a>{{data.created_on|date:"F"}}</a></td>
                                            <td><a href="#">{{data.category}}</a></td>
                                            <td>{{data.dealer.user_code}}</td>
                                            <td style="text-align:right">{{data.monthly_target | floatformat:2 | intcomma}}</td>
                                            
                                            {% if request.user.is_superuser %}
                                            <td class="edit-button"><a href="{% url 'edit_dealer_sales_target' data.pk%}">Edit</a> <a href="{% url 'delete_dealer_sales_target' data.pk %}">Delete</a></td>
                                            {%endif%}
                                        </tr>
                                        {% endfor %}
    
                                        </tbody>
                                    </table>
                                </div>
                                {% if user_role != 'DEL' %}
                                <div id="menu5" class="tab-pane fade">
                                    <h3>Cd Slab Code</h3>
                                    <table class="table table-striped order-table table-bordered">
                                        <thead>
                                        <tr>
                                            <th scope="col">Slab Code</th>
                                            <th scope="col">Days 1</th>
                                            <th scope="col">CD 1</th>
                                            <th scope="col">Days 2</th>
                                            <th scope="col">CD 2</th>
                                            <th scope="col">Days 3</th>
                                            <th scope="col">CD 3</th>
                                            <th scope="col">Days 4</th>
                                            <th scope="col">CD 4</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <td>{{cd_slab.slab_code}}</td>
                                            <td>{{cd_slab.days_1}}</td>
                                            <td>{{cd_slab.cd1}}</td>
                                            <td>{{cd_slab.days_2}}</td>
                                            <td>{{cd_slab.cd2}}</td>
                                            <td>{{cd_slab.days_3}}</td>
                                            <td>{{cd_slab.cd3}}</td>
                                            <td>{{cd_slab.days_4}}</td>
                                            <td>{{cd_slab.cd4}}</td>
    
                                        </tr>
                                         </tbody>
                                    </table>
                                </div>
                                {% endif %}
                                <div id="menu3" class="tab-pane fade">
                                    <h3>Documents</h3>
                                    <button type="button" class="input_import " data-toggle="modal" data-target="#myModal" style='float:right'>Upload Documents</button>
                                          <div class="modal fade" id="myModal" role="dialog">
                                            <div class="modal-dialog modal-lg">
                                              <div class="modal-content">
                                                <div class="modal-header">
                                                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                 <h2>Select Documents</h2>                                                  
                                                </div>
                                                <div class="modal-body">
                                                <table class="table table-striped order-table table-bordered">
                                                    <tbody>
                                                    <tr>
                                                        <td>Select Document Type</td>
                                                        <td>
                                                        <select id='doc' name='doctype' onchange="return documenttype();">
                                                        <option selected>Type of Documents</option>
                                                        <option value="Aadhaar">Adhaar No</option>
                                                        <option value="Pan">Pan No</option>
                                                        <option value="GST">GST No</option>
                                                        </select>
                                                        </td>
                                                    </tr>                                                
                                                        <tr>
                                                            <td id='fdata'>Document No : </td>
                                                            <td><input type='text' id="textbox" name="txtdoc"></td>
                                                        </tr>
                                                        <tr>
                                                            <td id='cdata'>Upload Document :</td>
                                                            <td><input class="input" type="file"  name="document" id='UploadFiledata'><span id="errormsg" style="color:red;display:none;"></span></td>
                                                        </tr>
                                                        <tr>
                                                            <td></td>
                                                            <td><input type="submit" onclick="return onbutton();" name="upload" value="Upload" class="input_import" id="UploadFile"></td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                                </div>
                                              </div>
                                            </div>
                                          </div>
                                          <div class="modal fade" id="myUpload" role="dialog">
                                            <div class="modal-dialog modal-lg">
                                              <div class="modal-content">
                                                <div class="modal-header">
                                                  <h4 class="modal-title" id="hdata">Upload Aadhaar</h4>
                                                  {% comment %} <input type="hidden" id='btndata' > {% endcomment %}
                                                </div>
                                                <div class="modal-body">
                                                  
                                                </div>
                                                <div class="modal-footer">
                                                  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                                </div>
                                                </div>
                                                </div>
                                            </div>
                                        <table class="table table-striped order-table table-bordered">
                                        <thead>
                                        <tr>
                                            <th scope="col">Document Type</th>
                                            <th scope="col">Document ID</th>
                                            <th scope="col">Document</th>
                                            {% if request.user.is_superuser %}
                                            <th scope="col">Action</th>
                                            {%endif%}
                                        </tr>
                                        </thead>
                                        <tbody>   
                                        {%for doc in DealerDoc %}
                                        <tr>
                                            <td><a href="#">{{doc.document_type}}</a></td>
                                            <td>{{doc.document_number}}</td>
                                            <td>
                                                
                                                {% ifnotequal "Document not uploaded" doc.document_file  %}
                                                    <a href="{{doc.document_file}}" download>
                                                    {% autoescape off %}
                                                    {{upload_file}}
                                                    {% endautoescape off %}
                                                    </a>                    
                                                            <!-- {{doc.document_type}} -->
                                                {% else %}
                                                    {{doc.document_file}}
                                                {% endifnotequal %} 
                                            </td>
                                            
                                            {% if request.user.is_superuser %}
                                            <td class="edit-button"> <a href="{% url 'document_delete' doc.pk%}?dealer_id={{doc.user_id}}">Delete</a></td>
                                            {%endif%}
                                        </tr>
                                        {%endfor%}
                                        </tbody>
                                    </table>

                                    
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
  {% else %}
<script>
function data(){
    var data= $('#doc : selected').val();
     alert(data);
    
}

</script>

<div style="text-align: center;" ><h2>Data Not Found!!!</h2></div>
{% endif %}
</form>

    <div id="modal-danger" class="modal fade modal-alert modal-danger">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new" style="background-color:#e46050 !important">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Delete</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to delete?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <a id="confirm-id" class="btn btn-danger btn-3d">Yes</a>
                    <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                </div>
            </div>
        </div>
    </div>

{% endblock %}


{% block extra_script_block %}
    {{ block.super }}

    <script src="{% static 'js/dealer_profile.js' %}"></script>

    <script type="text/javascript">
        function print_Receipt() {
            var divreport = document.getElementById('report');
            var popupWin = window.open('', '_blank', 'width=0,height=0');
            popupWin.document.open();
            popupWin.document.write('<html><link href="/static/css/dealer_profile.css" rel="stylesheet" media="print"/><body onload="window.print()">' + divreport.innerHTML + '</html>');
            popupWin.document.close();
        }
        
        $(document).ready(function(){
            var value = window.location.href.substring(window.location.href.lastIndexOf('?') + 1);
            if (value=='Target'){
                $('#ddlm1').removeClass('active')
                $('#am1').attr("aria-expanded","false")
                $('#ddlm').addClass('active')
                $('#am').attr("aria-expanded","true")
                $('#menu2').addClass('tab-pane fade active in')
                $('#home').removeClass(' active in')
            }
            
            $('.action-button').removeClass();

            $("#select_option").change(function(){

                var dealer_id = $(this).val();
                $("#confirm-id").attr("href", "/user/delete/"+dealer_id);

                var option = $("#select_option option:selected").text().trim();
                if(option == "delete"){
                    $('#modal-danger').modal('show');
                }
            });
        });

        function onbutton(){
            var error=false;
            var ext = $('#UploadFiledata').val().split('.').pop().toLowerCase();
            if($.inArray(ext, ['gif','png','jpg','jpeg','pdf']) == -1) {
                error=true
                $('#errormsg').css('display','block')
                $('#errormsg').text('only pdf and image file can be uploaded!!!')
                //alert('only Image and Pdf file uploaded!');
            }
            if (error==true){
               return false;
            }
            else{
                return true;
            }
        }

    </script>
{% endblock %}